//Copyright (c) 2014, Jesús Martín Berlanga. All rights reserved. 
//Distributed under the BSD licence. Read "com/jme3/ai/license.txt".
/**
 * Steer behaviors. 
 * 
 * Basic steering behavior ai structure provided by Tihomir Radosavljević. 
 * Incorporate full steer behavior project into MonkeyBrains by Jesús Martín Berlanga. <br> <br>
 * 
 * References: <br>
 *  - Craig W. Reynolds: "Steering Behaviors For Autonomous Characters" <br>
 *  - OpenSteer <br> 
 * <br>
 * 
 * For more information visit: http://jmesteer.bdevel.org/
 * <br><br>
 * 
 * If you find any bug please contact with me (Jesús) and I will be glad to fix it.
 * You will find my email at the website mentioned before.
 * 
 * @version 3.1.0, 26/10/2014
 * <br><br><br>
 * 
 * 
 * 
 * ////////////////////////// <br>
 * ////////Changelog///////// <br>
 * ////////////////////////// <br> 
 * <br>
 * - 3.1.0, 26/10/2014, Jesús Martín Berlanga: <br>
 * Wander behavior fixes <br><br>
 * 
 * - 3.0.2, 9/10/2014, Tihomir Radosavljević: <br>
 * Some steers accepts game entities instead of agents <br><br>
 * Official integration with MonkeyBrains. Naming and style conventions to 
 * follow the same structure. <br><br>
 * 
 * - 3.0.1, 20/8/2014, Jesús Martín Berlanga: <br>
 * Small javadoc fixes <br><br>
 * 
 * - 3.0, 17/8/2014, Jesús Martín Berlanga: <br>
 * First official release <br><br>
 * 
 * ...
 * <br><br><br>
 * 
 * 
 * 
 * @author Jesús Martin Berlanga
 * @author Tihomir Radosavljević
 */
package com.jme3.ai.agents.behaviors.npc.steering;